ANABOX smart
API ReferenceDevicesEventsDeviceid

Get events for a device

Fetch a chronological list of events generated by the specified device.

GET
/devices/events/{deviceId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

deviceIdstring

Device ObjectId

Query Parameters

DateStart?string
Formatdate-time
DateEnd?string
Formatdate-time
TypeFilter?string

Event type filter. Common values include activate and state; any other string is accepted.

Response Body

application/json

curl -X GET "https://api.memo.wirewire.de/v1/devices/events/682fd0d7d4a6325d9d45b86f"
[
  {
    "id": "evt_01HX0000000000000000000000",
    "deviceId": "682fd0d7d4a6325d9d45b86f",
    "type": "state",
    "payload": {
      "battery": 87,
      "online": true
    },
    "timestamp": "2026-05-21T10:15:00.000Z"
  }
]